### Method

# Camel MimeParser init_with_stream

#### Declaration [src]

    gint
    camel_mime_parser_init_with_stream (
      CamelMimeParser* m,
      CamelStream* stream,
      GError** error
    )

#### Description [src]

Initialise the scanner with a source stream. The scanner’s offsets will be relative to the current file position of the stream. As a result, seekable streams should only be seeked using the parser seek function.

#### Parameters

`stream`

  Type: `CamelStream`

  A `CamelStream` to init with.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

-1 on error.